Get Credential Catalog
GET
/v1/portal/credentials/catalog
const url = 'https://example.com/v1/portal/credentials/catalog?tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/credentials/catalog?tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalCredentialCatalogOut
object
items
Items
Array<object>
PortalCredentialCatalogItemOutobject
solution_id
Solution Id
string
credential_type
Credential Type
string
default_scopes
Default Scopes
Array<string>
high_risk_scopes
High Risk Scopes
Array<string>
device_supported
Device Supported
boolean
webauthn_supported
Webauthn Supported
boolean
runtime_provider_profiles
Runtime Provider Profiles
Array<object>
PortalRuntimeProviderProfileOutobject
profile_id
Profile Id
string
purpose
Purpose
string
provider
Provider
string
model
Model
string
credential_secret_ref
Credential Secret Ref
string
credential_status
Credential Status
string
ready
Ready
boolean
endpoint
Endpoint
string
assistant_id
Assistant Id
string
openbao_scope
Openbao Scope
string
source
Source
string
credential_scope
Credential Scope
string
credential_owner_key
Credential Owner Key
string
binding_mode
Binding Mode
string
workspace_binding
Workspace Binding
string
endpoint_binding
Endpoint Binding
string
Example
{ "items": [ { "solution_id": "", "credential_type": "", "device_supported": true, "webauthn_supported": true } ], "runtime_provider_profiles": [ { "profile_id": "", "purpose": "", "provider": "", "model": "", "credential_secret_ref": "", "credential_status": "", "ready": false, "endpoint": "", "assistant_id": "", "openbao_scope": "", "source": "", "credential_scope": "org_managed", "credential_owner_key": "", "binding_mode": "shared_pool", "workspace_binding": "", "endpoint_binding": "central_cliproxy" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}